DELETE FROM port_fail_patterns WHERE Port_Fail_Pattern_Id % 100 = 0 OR Port_Fail_Pattern_Id = 2147483647;

UPDATE config SET Config_Option_Value='2.3.1' WHERE Config_Option_Name='__DSVERSION__';

INSERT INTO port_fail_reasons VALUES ('preinstall_error', 'The port tries to write to the target file system before the installation phase.  If this is a requirement, use the "pre-su-install" target instead of "pre-install".', 'RARE');

INSERT INTO port_fail_patterns VALUES (0, '.*', '__parent__', 0);
INSERT INTO port_fail_patterns VALUES (100, 'pkg_create: make_dist: tar command failed with code', 'PLIST', 0);
INSERT INTO port_fail_patterns VALUES (200, 'Fatal error: filesystem was touched prior to .make install. phase', 'preinstall_error', 0);
INSERT INTO port_fail_patterns VALUES (300, 'AUTOTOOLS WARNING', 'autotools_old', 0);
INSERT INTO port_fail_patterns VALUES (400, 'See <URL:http://gcc.gnu.org/bugs.html> for instructions.', 'gcc_bug', 0);
INSERT INTO port_fail_patterns VALUES (500, 'See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.', 'gcc_bug', 0);
INSERT INTO port_fail_patterns VALUES (600, 'Checksum mismatch', 'checksum', 0);
INSERT INTO port_fail_patterns VALUES (700, '/usr/local/bin/(perl|perl5.6.1):.*(not found|No such file or directory)', 'perl', 0);
INSERT INTO port_fail_patterns VALUES (800, 'perl(.*): Perl is not installed, try .pkg_add -r perl.', 'perl', 0);
INSERT INTO port_fail_patterns VALUES (900, 'cannot find -lc_r', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (1000, 'checking for.*lc_r\\.\\.\\. no', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (1100, '(No checksum recorded for|(Maybe|Either) .* is out of date, or)', 'distinfo_update', 0);
INSERT INTO port_fail_patterns VALUES (1200, 'checking whether apxs works.*apxs: not found', 'apxs', 0);
INSERT INTO port_fail_patterns VALUES (1300, 'Configuration .* not supported', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (1400, '(configure: error:|Script.*configure.*failed unexpectedly|script.*failed: here are the contents of)', '__parent__', 0);
INSERT INTO port_fail_patterns VALUES (1500, 'configure: error: cpu .* not supported', 'arch', 1400);
INSERT INTO port_fail_patterns VALUES (1600, 'configure: error: (This program requires STL to compile|One or more.*STL headers are missing)', 'stl', 1400);
INSERT INTO port_fail_patterns VALUES (1700, 'configure: error: [Pp]erl (5.* required|version too old)', 'perl', 1400);
INSERT INTO port_fail_patterns VALUES (1800, '.*', 'configure_error', 1400);
INSERT INTO port_fail_patterns VALUES (1900, '(bison:.*(No such file|not found)|multiple definition of `yy)', 'bison', 0);
INSERT INTO port_fail_patterns VALUES (2000, 'Couldn.t fetch it - please try', 'fetch', 0);
INSERT INTO port_fail_patterns VALUES (2100, 'out of .* hunks .*--saving rejects to', 'patch', 0);
INSERT INTO port_fail_patterns VALUES (2200, 'Error: category .* not in list of valid categories', 'CATEGORIES', 0);
INSERT INTO port_fail_patterns VALUES (2300, 'make: don.t know how to make .*\\.man. Stop', 'X_manpage', 0);
INSERT INTO port_fail_patterns VALUES (2400, 'Xm/Xm\\.h: No such file', 'MOTIF', 0);
INSERT INTO port_fail_patterns VALUES (2500, 'undefined reference to `Xp', 'MOTIFLIB', 0);
INSERT INTO port_fail_patterns VALUES (2600, 'read-only file system', 'WRKDIR', 0);
INSERT INTO port_fail_patterns VALUES (2700, 'makeinfo: .* use --force', 'texinfo', 0);
INSERT INTO port_fail_patterns VALUES (2800, 'means that you did not run the h2ph script', 'perl5', 0);
INSERT INTO port_fail_patterns VALUES (2900, 'Error: shared library ".*" does not exist', 'LIB_DEPENDS', 0);
INSERT INTO port_fail_patterns VALUES (3000, '(crt0|c\\+\\+rt0)\\.o: No such file', 'ELF', 0);
INSERT INTO port_fail_patterns VALUES (3100, 'machine/soundcard.h: No such file or directory', 'soundcard.h', 0);
INSERT INTO port_fail_patterns VALUES (3200, 'values.h: No such file or directory', 'values.h', 0);
INSERT INTO port_fail_patterns VALUES (3300, '.*\\.h: No such file', '__parent__', 0);
INSERT INTO port_fail_patterns VALUES (3400, '(X11/.*|Xosdefs)\\.h: No such file', '__parent__', 3300);
INSERT INTO port_fail_patterns VALUES (3500, 'XFree86-.*\\.tgz', 'missing_header', 3400);
INSERT INTO port_fail_patterns VALUES (3600, '.*', 'USE_XLIB', 3300);
INSERT INTO port_fail_patterns VALUES (3700, '.*', 'missing_header', 3400);
INSERT INTO port_fail_patterns VALUES (3800, 'pnohang: killing make checksum', 'fetch_timeout', 0);
INSERT INTO port_fail_patterns VALUES (3900, 'USER   PID  PPID  PGID JOBC STAT  TT       TIME COMMAND', 'runaway_process', 0);
INSERT INTO port_fail_patterns VALUES (4000, 'pnohang: killing make package', 'runaway_process', 0);
INSERT INTO port_fail_patterns VALUES (4100, 'pkg_add: (can.t find enough temporary space|projected size of .* exceeds available free space)', 'disk_full', 0);
INSERT INTO port_fail_patterns VALUES (4200, '(parse error|too (many|few) arguments to|argument.*doesn.*prototype|incompatible type for argument|conflicting types for|undeclared \\(first use (in |)this function\\)|incorrect number of parameters|has incomplete type and cannot be initialized)', 'compiler_error', 0);
INSERT INTO port_fail_patterns VALUES (4300, '(ANSI C.. forbids|is a contravariance violation|changed for new ANSI .for. scoping|[0-9]: passing .* changes signedness|discards qualifiers|lacks a cast|redeclared as different kind of symbol|invalid type .* for default argument to|wrong type argument to unary exclamation mark|duplicate explicit instantiation of|incompatible types in assignment|assuming . on overloaded member function|call of overloaded .* is ambiguous|declaration of C function .* conflicts with|initialization of non-const reference type|using typedef-name .* after|[0-9]: implicit declaration of function|[0-9]: size of array .* is too large|fixed or forbidden register .* for class)', 'new_compiler_error', 0);
INSERT INTO port_fail_patterns VALUES (4400, '(syntax error before|ISO C\\+\\+ forbids|friend declaration|no matching function for call to|.main. must return .int.|invalid conversion from|cannot be used as a macro name as it is an operator in C\\+\\+|is not a member of type|after previous specification in|no class template named|because worst conversion for the former|better than worst conversion|no match for.*operator|no match for call to|undeclared in namespace|is used as a type, but is not)', 'bad_C++_code', 0);
INSERT INTO port_fail_patterns VALUES (4500, '(/usr/libexec/elf/ld: cannot find|undefined reference to|cannot open -l.*: No such file)', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (4600, 'chown:.*[Ii]nvalid argument', 'chown', 0);
INSERT INTO port_fail_patterns VALUES (4700, 'install: .*: No such file', '__parent__', 0);
INSERT INTO port_fail_patterns VALUES (4800, 'install: /usr/local/www/cgi-bin.*No such file or directory', 'cgi-bin', 4700);
INSERT INTO port_fail_patterns VALUES (4900, '.*', 'install_error', 4700);
INSERT INTO port_fail_patterns VALUES (5000, '/usr/.*/man/.*: No such file or directory', 'manpage', 0);
INSERT INTO port_fail_patterns VALUES (5100, '(Can.t|unable to) open display', 'DISPLAY', 0);
INSERT INTO port_fail_patterns VALUES (5200, ' is already installed - perhaps an older version', 'depend_object', 0);
INSERT INTO port_fail_patterns VALUES (5300, 'You may wish to ..make deinstall.. and install this port again', 'depend_object', 0);
INSERT INTO port_fail_patterns VALUES (5400, 'error in dependency .*, exiting', 'depend_package', 0);
INSERT INTO port_fail_patterns VALUES (5500, '#error "<malloc.h> has been replaced by <stdlib.h>"', 'malloc.h', 0);
INSERT INTO port_fail_patterns VALUES (5600, 'core dumped', 'coredump', 0);
INSERT INTO port_fail_patterns VALUES (5700, 'Segmentation fault', 'segfault', 0);
INSERT INTO port_fail_patterns VALUES (5800, 'storage size of.*isn.t known', 'union_wait', 0);
INSERT INTO port_fail_patterns VALUES (5900, 'initializer element is not constant', 'stdio', 0);
INSERT INTO port_fail_patterns VALUES (6000, 'structure has no member named', 'struct_changes', 0);
INSERT INTO port_fail_patterns VALUES (6100, 'Error: alignment not a power of 2', 'alignment', 0);
INSERT INTO port_fail_patterns VALUES (6200, 'bin.apxs:(.)(not found|No such file or directory)', 'apxs', 0);
INSERT INTO port_fail_patterns VALUES (6300, 'failed to exec .*bin/apxs', 'apxs', 0);
INSERT INTO port_fail_patterns VALUES (6400, '.s: Assembler messages:', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6500, 'Cannot (determine .* target|find the byte order) for this architecture', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6600, 'cast from pointer to integer of different size', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6700, '^cc1: bad value.*for -mcpu.*switch', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6800, '^cc1: invalid option ', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6900, 'could not read symbols: File in wrong format', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7000, '[Ee]rror: [Uu]nknown opcode', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7100, 'error.*Unsupported architecture', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7200, 'ENDIAN must be defined 0 or 1', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7300, 'failed to merge target-specific data', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7400, '(file not recognized|failed to set dynamic section sizes): File format not recognized', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7500, 'impossible register constraint', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7600, 'inconsistent operand constraints in an .asm', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7700, 'invalid lvalue in asm statement', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7800, 'is only for.*, and you are running', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7900, 'not a valid 64 bit base/index expression', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (8000, 'relocation R_X86_64_32.*can not be used when making a shared object', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (8100, 'relocation truncated to fit: ', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (8200, 'The target cpu, .*, is not currently supported.', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (8300, 'This architecture seems to be neither big endian nor little endian', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (8400, 'unknown register name', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (8500, 'Unable to correct byte order', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (8600, 'Unsupported platform, sorry', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (8700, 'won.t run on this architecture', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (8800, '#error .Cannot compile:', 'assert', 0);
INSERT INTO port_fail_patterns VALUES (8900, 'autoconf(.*): not found', 'autoconf', 0);
INSERT INTO port_fail_patterns VALUES (9000, 'autoconf(.*): No such file or directory', 'autoconf', 0);
INSERT INTO port_fail_patterns VALUES (9100, 'autoheader: not found', 'autoheader', 0);
INSERT INTO port_fail_patterns VALUES (9200, 'automake(.*): not found', 'automake', 0);
INSERT INTO port_fail_patterns VALUES (9300, 'awk: empty regular expression', 'awk', 0);
INSERT INTO port_fail_patterns VALUES (9400, '(mv:|mv: rename|cannot open) y.tab.c(.*): No such file or directory', 'bison', 0);
INSERT INTO port_fail_patterns VALUES (9500, 'sorry, cannot determine the header file bison generates', 'bison', 0);
INSERT INTO port_fail_patterns VALUES (9600, 'usage: yacc', 'bison', 0);
INSERT INTO port_fail_patterns VALUES (9700, '/usr/local/www/cgi-bin does not exist', 'cgi-bin', 0);
INSERT INTO port_fail_patterns VALUES (9800, 'Cannot open /dev/tty for read', 'DISPLAY', 0);
INSERT INTO port_fail_patterns VALUES (9900, 'RuntimeError: cannot open display', 'DISPLAY', 0);
INSERT INTO port_fail_patterns VALUES (10000, 'You must run this program under the X-Window System', 'DISPLAY', 0);
INSERT INTO port_fail_patterns VALUES (10100, 'ld: unrecognised emulation mode: elf_i386', 'ELF', 0);
INSERT INTO port_fail_patterns VALUES (10200, 'Member name contains .\\.\\./', 'fetch', 0);
INSERT INTO port_fail_patterns VALUES (10300, 'fetch: transfer timed out', 'fetch_timeout', 0);
INSERT INTO port_fail_patterns VALUES (10400, 'fetch: transfer timed out', 'fetch_timeout', 0);
INSERT INTO port_fail_patterns VALUES (10500, 'strings.h:.* previous declaration of .int ffs', 'ffs_conflict', 0);
INSERT INTO port_fail_patterns VALUES (10600, 'is forbidden: FreeBSD-SA-', 'forbidden', 0);
INSERT INTO port_fail_patterns VALUES (10700, '/usr/bin/ld: cannot find -lgnugetopt', 'getopt', 0);
INSERT INTO port_fail_patterns VALUES (10800, 'previous declaration.*int getopt', 'getopt.h', 0);
INSERT INTO port_fail_patterns VALUES (10900, 'imake: Exit code 1', 'imake', 0);
INSERT INTO port_fail_patterns VALUES (11000, 'Run-time system build failed for some reason', 'install_error', 0);
INSERT INTO port_fail_patterns VALUES (11100, '/usr/bin/ld: cannot find -lc_r', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (11200, 'cc: .*libintl.*: No such file or directory', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (11300, 'cc: ndbm\\.so: No such file or directory', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (11400, 'error: The X11 shared library could not be loaded', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (11500, 'relocation against dynamic symbol', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (11600, 'make.*(don.t know how to make|fatal errors encountered|No rule to make target|built-in)', 'makefile', 0);
INSERT INTO port_fail_patterns VALUES (11700, 'Error: mtree file ./etc/mtree/BSD.local.dist. is missing', 'mtree', 0);
INSERT INTO port_fail_patterns VALUES (11800, 'cp:.*site_perl: No such file or directory', 'perl', 0);
INSERT INTO port_fail_patterns VALUES (11900, 'Perl .* required--this is only version', 'perl', 0);
INSERT INTO port_fail_patterns VALUES (12000, 'pod2man: not found', 'pod2man', 0);
INSERT INTO port_fail_patterns VALUES (12100, 'Syntax error: .\\(. unexpected \\(expecting .fi.\\)', 'portcomment', 0);
INSERT INTO port_fail_patterns VALUES (12200, 'Abort trap', 'process_failed', 0);
INSERT INTO port_fail_patterns VALUES (12300, 'Bus error', 'process_failed', 0);
INSERT INTO port_fail_patterns VALUES (12400, 'Signal 11', 'process_failed', 0);
INSERT INTO port_fail_patterns VALUES (12500, 'python: not found', 'python', 0);
INSERT INTO port_fail_patterns VALUES (12600, 'sed: illegal option', 'sed', 0);
INSERT INTO port_fail_patterns VALUES (12700, 'sed: [0-9]*:.*(RE error:|not defined in the RE|bad flag in substitute command|unescaped newline inside substitute pattern|invalid command code)', 'sed', 0);
INSERT INTO port_fail_patterns VALUES (12800, 'Your STL string implementation is unusable', 'stl', 0);
INSERT INTO port_fail_patterns VALUES (12900, ': The -pthread option is deprecated', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (13000, 'Error: pthreads are required to build this package', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (13100, 'Please install/update your POSIX threads (pthreads) library', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (13200, 'requires.*thread support', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (13300, '/usr/bin/ld: cannot find -lpthread', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (13400, '/usr/bin/ld: cannot find -lXThrStub', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (13500, '<varargs.h> is obsolete with this version of GCC', 'varargs', 0);
INSERT INTO port_fail_patterns VALUES (13600, 'Cannot stat: ', 'configure_error', 0);
INSERT INTO port_fail_patterns VALUES (13700, 'cd: can.t cd to', 'NFS', 0);
INSERT INTO port_fail_patterns VALUES (2147483647, '.*', '???', 0);
